#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int rollDice (void);  /* will give one roll */
void printStar(int); /* will print (int) stars */

int main()
{
    const int ARRAY_SIZE = 5;
    int numarr[ARRAY_SIZE];

    srand(time(NULL)); /* initialize rand */

    for (int i=0; i<ARRAY_SIZE; i++) {
        numarr[i] = rollDice(); /* fill with 1-6 */
        printStar(numarr[i]);  /* print the stars */
        printf(" %d\n", numarr[i]); /* then, the number */
    }

    return 0;
}

int rollDice (void) {
    /* requires srand first */
    return rand() % 6 + 1;
}

void printStar(int n) {
    while (n > 0) {
        putchar('*');
        n--;
    }
}
